Bug 149754 - Cannot configure power fencing for a node with dual power supplies
Cannot configure power fencing for a node with dual power supplies
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 17:03 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-04 12:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-25 17:03:41 EST
Description of problem:

The GUI should provide a way of setting an option value for turning
power supplies off and on so a user can configure power fencing for a
node with dual power supplies.

Configuring power fencing for a node with dual power supplies requires
that both power supplies in the node be powered down before powering
them up. That is, the sequence should go like this: 
- Power supply 1: off
- Power supply 2: off
- Power supply 1: on
- Power supply 2: on
Refer to figures and examples in the GFS 6.0 admin guide for more
information: 
Figure 6-14. File Format: nodes.ccs, APC Single Fencing Method, Dual
Power Supply -
http://www.redhat.com/docs/manuals/csgfs/admin-guide/s1-sf-nodes.html#FIG-SF-NODESAPCDUAL

“Example 6-14. Node Defined for APC Fencing, Dual Power Supplies” -
http://www.redhat.com/docs/manuals/csgfs/admin-guide/s1-sf-nodes.html

To add the capability of configuring power fencing for a node with
dual power supplies, the GUI should include an “Option” field in the
Fence Properties dialog box (Cluster -> Cluster Nodes -> <node> ->
Manage Fencing For This Node -> Add a New Fence Level -> Fence Level
<n> -> Add a New Fence to this Level). The option should provide
either a drop-down box or provide validation for "off", "on", and
other options that are used for fencing.


Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0


Steps to Reproduce:
1.  Create cluster node "foo".
2.  Navigate: Cluster -> Cluster Nodes -> foo ->
    Manage Fencing For This Node -> Add a New Fence Level ->
    Fence Level-1 -> Add a New Fence to this Level
3.  Observe the Fence Properties dialog box. There is no way to
    configure an "off" or "on" option.
  
Actual results:
Step 3, no Option field for "off" and "on"

Expected results:
Fence Properties dialog box provides an Option field for "off" and "on"
Comment 1 Jim Parsons 2005-03-28 16:24:47 EST
This is addressed in build 0.9.20-1.0
Comment 2 Corey Marthaler 2005-05-04 12:00:21 EDT
This does work assuming the user does the right thing. The user needs to create
two fences for one level and then the GUI will just "know what to do".

Note You need to log in before you can comment on or make changes to this bug.